/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "ITS-Container"
 * 	found in "ITS-Container.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_SubCauseCodeType_H_
#define	_SubCauseCodeType_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>

#ifdef __cplusplus
extern "C" {
#endif

/* SubCauseCodeType */
typedef long	 SubCauseCodeType_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_SubCauseCodeType;
asn_struct_free_f SubCauseCodeType_free;
asn_struct_print_f SubCauseCodeType_print;
asn_constr_check_f SubCauseCodeType_constraint;
ber_type_decoder_f SubCauseCodeType_decode_ber;
der_type_encoder_f SubCauseCodeType_encode_der;
xer_type_decoder_f SubCauseCodeType_decode_xer;
xer_type_encoder_f SubCauseCodeType_encode_xer;
per_type_decoder_f SubCauseCodeType_decode_uper;
per_type_encoder_f SubCauseCodeType_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _SubCauseCodeType_H_ */
#include <asn_internal.h>
